C# 클래스 Revit.SDK.Samples.CreateBeamSystem.CS.GeometryUtil

utility class contains some methods deal with 3D arithmetic
파일 보기 프로젝트 열기: AMEE/revit

공개 프로퍼티들

프로퍼티 타입 설명
CreApp Autodesk.Revit.Creation.Application

공개 메소드들

메소드 설명
CompareXYZ ( Autodesk pnt1, Autodesk pnt2 ) : bool

judge whether two XYZs are equal

InSameHorizontalPlane ( List lines ) : bool

judge whether the lines are in the same horizontal plane

SortLines ( List originLines ) : List

sorted lines end to end to make a closed loop profile if input lines can't make a profile, null will return

비공개 메소드들

메소드 설명
ConvertTo2DLine ( System.Line line ) : Line2D

use the X and Y coordinate of 3D Line to new a Line2D instance

메소드 상세

CompareXYZ() 공개 정적인 메소드

judge whether two XYZs are equal
public static CompareXYZ ( Autodesk pnt1, Autodesk pnt2 ) : bool
pnt1 Autodesk first XYZ
pnt2 Autodesk second XYZ
리턴 bool

InSameHorizontalPlane() 공개 정적인 메소드

judge whether the lines are in the same horizontal plane
public static InSameHorizontalPlane ( List lines ) : bool
lines List lines to be judged
리턴 bool

SortLines() 공개 정적인 메소드

sorted lines end to end to make a closed loop profile if input lines can't make a profile, null will return
public static SortLines ( List originLines ) : List
originLines List lines to be sorted
리턴 List

프로퍼티 상세

CreApp 공개적으로 정적으로 프로퍼티

The Application Creation object is used to create new instances of utility objects.
public static Autodesk.Revit.Creation.Application CreApp
리턴 Autodesk.Revit.Creation.Application